summaryrefslogtreecommitdiffstats
path: root/libraries/libtorrent
diff options
context:
space:
mode:
author Tim Fitzhenry2010-05-13 00:32:02 +0200
committer Robby Workman2010-05-13 00:32:02 +0200
commitdae3103cdd7360ce1166e45f3eb2cb75c4c3b758 (patch)
tree137676b519df3f128df08ccd33f94a20bc5ac789 /libraries/libtorrent
parentab8df3ae5a7c47273c646f1fa5076383a1d738d5 (diff)
downloadslackbuilds-dae3103cdd7360ce1166e45f3eb2cb75c4c3b758.tar.gz
libraries/libtorrent: Updated for version 0.12.5
Diffstat (limited to 'libraries/libtorrent')
-rw-r--r--libraries/libtorrent/README2
-rw-r--r--libraries/libtorrent/libtorrent.SlackBuild67
-rw-r--r--libraries/libtorrent/libtorrent.info8
3 files changed, 41 insertions, 36 deletions
diff --git a/libraries/libtorrent/README b/libraries/libtorrent/README
index 7b5a896114..9a163dd5c9 100644
--- a/libraries/libtorrent/README
+++ b/libraries/libtorrent/README
@@ -4,4 +4,4 @@ implementations by transfering directly from file pages to the network stack. On
high-bandwidth connections it is able to seed at 3 times the speed of the
official client.
-This requires libsigc++
+This requires libsigc++.
diff --git a/libraries/libtorrent/libtorrent.SlackBuild b/libraries/libtorrent/libtorrent.SlackBuild
index c01fc8d2e5..bf75415722 100644
--- a/libraries/libtorrent/libtorrent.SlackBuild
+++ b/libraries/libtorrent/libtorrent.SlackBuild
@@ -5,60 +5,63 @@
# Updated by Andrew Brouwers, abrouwers@gmail.com
-APP=libtorrent
-VERSION=0.12.0
+PRGNAM=libtorrent
+VERSION=0.12.5
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
-PKG=$TMP/package-$APP
+PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="AUTHORS COPYING INSTALL NEWS README TODO"
-
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-rm -rf $TMP/$APP-$VERSION
-cd $TMP || exit 1
-tar xvf $CWD/$APP-$VERSION.tar.gz || exit 1
-cd $APP-$VERSION
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
CFLAGS="$SLKCFLAGS" \
- ./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- || exit 1
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
-mkdir -p $PKG/usr/doc/$APP-$VERSION
-cp -a $DOCS $PKG/usr/doc/$APP-$VERSION
-find $PKG/usr/doc/$APP-$VERSION -type f -exec chmod 644 {} \;
-cat $CWD/$APP.SlackBuild > $PKG/usr/doc/$APP-$VERSION/$APP-SlackBuild
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM-SlackBuild
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs \
- strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs \
- strip --strip-unneeded 2> /dev/null
-)
-
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$APP-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libtorrent/libtorrent.info b/libraries/libtorrent/libtorrent.info
index 82d07dfc07..3576fb2bcb 100644
--- a/libraries/libtorrent/libtorrent.info
+++ b/libraries/libtorrent/libtorrent.info
@@ -1,8 +1,10 @@
PRGNAM="libtorrent"
-VERSION="0.12.0"
+VERSION="0.12.5"
HOMEPAGE="http://libtorrent.rakshasa.no/"
-DOWNLOAD="http://libtorrent.rakshasa.no/downloads/libtorrent-0.12.0.tar.gz"
-MD5SUM="76c818b095248ea9e4b140fff4e2fa2a"
+DOWNLOAD="http://libtorrent.rakshasa.no/downloads/libtorrent-0.12.5.tar.gz"
+MD5SUM="fe8155d364b220713074423100d4bf29"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Tim Fitzhenry"
EMAIL="tom@fitzhenry.name"
APPROVED="rworkman"